=== debian/changelog ===
swift (2.26.0-6) unstable; urgency=medium

  * Switch back to using uwsgi for container and account servers.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Jan 2021 18:02:24 +0100

swift (2.26.0-5) unstable; urgency=medium

  * Remove rem-header = Content-Length in the swift-proxy uwsgi config, as
    this makes Glance's "openstack image save" fail.
  * Add Fix__exit__calls.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2021 18:09:52 +0100

swift (2.26.0-4) unstable; urgency=medium

  * Add fix-eventlet-monkey-patching-with-py3.7.patch.
  * Set threads=12 and listen=100 after running a successful bench with these
    values.
  * Depends on openstack-pkg-tools >= 116~, to make sure swift starts with a
    decent number of workers if the directive can't be found.

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Oct 2020 17:15:09 +0100

swift (2.26.0-3) unstable; urgency=medium

  * Switch the swift-proxy to uwsgi. There's no choice because eventlet monkey
    patching creates deadlocks in thread logging, which leads to frozen
    processes in the proxy.
  * Use openstack-pkg-tools >= 114~ facility to configure uwsgi ip and port.
  * Add set-default-workers-value.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Oct 2020 11:22:50 +0100

swift (2.26.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.
  * Refresh syslog_log_name.patch.
  * Add Get_unit_tests_passing_on_py39.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 21:00:57 +0200

swift (2.26.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-dnspython from (build-)depends.
  * Removed py3_Work_with_proper_native_string_paths_in_crypto_meta.patch
    applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Sep 2020 14:39:47 +0200

swift (2.25.0-4) unstable; urgency=medium

  * Add missing directive in systemd files (services start before networking,
    and then may just fail because they can't bind):
    - After=network-online.target local-fs.target remote-fs.target 
    - Wants=network-online.target 

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Sep 2020 17:12:38 +0200

swift (2.25.0-3) unstable; urgency=medium

  * Add py3_Work_with_proper_native_string_paths_in_crypto_meta.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Aug 2020 09:47:24 +0200

swift (2.25.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 Jun 2020 14:22:55 +0200

swift (2.25.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebase patches.

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Apr 2020 10:38:46 +0200

swift (2.24.0-1) experimental; urgency=medium

  * New upstream release.
  * d/patches: Rebased.
  * Bump Standards-Version to 4.5.0.
  * Rules-Requires-Root: no.
  * Disable sphinxcontrib.rsvgconverter extension.
  * d/patches/py38_cgi_lost_some_names.patch:
    Drop, applied upstream.
  * d/rules: Remove not needed override_dh_systemd_enable target.

 -- Ondřej Nový <onovy@debian.org>  Fri, 13 Mar 2020 16:46:42 +0100

swift (2.23.1-2) unstable; urgency=medium

  * Add upstream patch: py38_cgi_lost_some_names.patch. (Closes: #951987).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2020 11:55:02 +0100
