## swift 2.27.0

=== debian/changelog ===
swift (2.27.0-3+deb11u1.2~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * OSSA-2025-002: kay reported a vulnerability in Keystone’s ec2tokens and
    s3tokens APIs. By sending those endpoints a valid AWS Signature (e.g., from
    a presigned S3 URL), an unauthenticated attacker may obtain Keystone
    authorization (ec2tokens can yield a fully scoped token; s3tokens can
    reveal scope accepted by some services), resulting in unauthorized access
    and privilege escalation. Deployments where /v3/ec2tokens or /v3/s3tokens
    are reachable by unauthenticated clients (e.g., exposed on a public API)
    are affected.
    Swift needs to be modified to accept the fix for Keystone, otherwise S3
    authentication will stop working.
    Deployers are advised to update Swift first, as the patched swift will work
    with unpatched keystone, while the opposite isn't true.
    Applied upstream patch (Closes: #1120057):
    Add bug-2119646-swift.patch, which offers swift side compatibility with the
    keystone fix.
  * Blacklist tests:
    - test.unit.common.middleware.test_tempurl.TestTempURL.test_obj_odd_chars
    - test.unit.common.test_swob.TestRequest.test_401_www_authenticate_is_quoted
    - test.unit.common.test_swob.TestRequest.test_split_path

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Tue, 04 Nov 2025 15:50:42 +0000

swift (2.27.0-3+deb11u1.1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Fix swift-proxy uwsgi.ini.
  * Add Add_tempurl_path_prefix_configuration_option.patch.
  * Blacklist test.unit.common.middleware.test_cname_lookup.TestCNAMELookup.
  * Set threads=1 in swift-proxy's uwsgi config.
  * Add s3api_fix_the_copy_of_non-ASCII_objects.patch.
  * Add plugins=transformation_chunked in the default swift-proxy uwsgi config.
  * Remove add-header = Connection: close.
  * Add route-run = chunked: to uwsgi config.
  * Switch back account + container + proxy from uwsgi to Eventlet.
  * Add debian/patches/cname-lookup-dnspython2-compat.patch.
  * Add CVE-2022-47950-stable-wallaby.patch (Closes: #1029200).
  * Add swift-recon-only-query-object-servers-once.patch.
  * Add drive-full-checker.patch.
  * Add kms_keymaster-allow-specifying-barbican_endpoint.patch.
  * Exclude tests:
    - common.test_memcached.TestMemcached.test_get_conns_hostname6
    - common.test_memcached.TestMemcached.test_get_conns_v6
    - common.test_memcached.TestMemcached.test_get_conns_v6_default

  [ Philippe SÉRAPHIN ]
  * Add Change_getting_major_minor_of_blkdev.patch.

 -- Philippe SÉRAPHIN <philippe.seraphin@infomaniak.com>  Thu, 29 Jun 2023 16:28:13 +0200

swift (2.27.0-2) unstable; urgency=medium

  * Fixup a better and more consistant /etc/rsyslog.d/swift.conf.
  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Jun 2021 13:58:24 +0200

swift (2.27.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Get_unit_tests_passing_on_py39.patch applied upstream.
  * Drop fix-eventlet-monkey-patching-with-py3.7.patch that shouldn't be needed
    anymore.
  * Removed Fix__exit__calls.patch applied upstream.
  * Add upstream patches:
    - Only_test_with_and-delimited_query_strings.patch
    - Don_t_require_swift_be_installed_to_have_passing_manager_tests.patch

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Mar 2021 21:06:38 +0100

swift (2.26.0-8) unstable; urgency=medium

  * Kill the autopkgtests. The team has other means of testing swift anyways.
    (Closes: #982788).

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Feb 2021 14:11:16 +0100

swift (2.26.0-7) unstable; urgency=medium

  * Fix logging and logrotate to do like all the other OpenStack daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Feb 2021 15:35:07 +0100
