## swift 2.28.0

=== debian/changelog ===
swift (2.28.0-7+deb11u2~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * OSSA-2025-002: kay reported a vulnerability in Keystone’s ec2tokens and
    s3tokens APIs. By sending those endpoints a valid AWS Signature (e.g., from
    a presigned S3 URL), an unauthenticated attacker may obtain Keystone
    authorization (ec2tokens can yield a fully scoped token; s3tokens can
    reveal scope accepted by some services), resulting in unauthorized access
    and privilege escalation. Deployments where /v3/ec2tokens or /v3/s3tokens
    are reachable by unauthenticated clients (e.g., exposed on a public API)
    are affected.
    Swift needs to be modified to accept the fix for Keystone, otherwise S3
    authentication will stop working.
    Deployers are advised to update Swift first, as the patched swift will work
    with unpatched keystone, while the opposite isn't true.
    Applied upstream patch (Closes: #1120057):
    Add bug-2119646-swift.patch, which offers swift side compatibility with the
    keystone fix.
  * Blacklist test:
    - test_cleanup_ondisk_files_commit_window

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Tue, 04 Nov 2025 15:48:55 +0000

swift (2.28.0-7+deb11u1) UNRELEASED; urgency=medium

  * Add route-run = chunked: to uwsgi config.
  * UWSGI: increase listen= to 256 for all of: proxy, account & container.
  * Switch back account + container + proxy from uwsgi to Eventlet.
  * Add cname-lookup-dnspython2-compat.patch.
  * Add CVE-2022-47950-stable-xena.patch (Closes: #1029200).
  * Use git mode in debian/watch.
  * Add swift-recon-only-query-object-servers-once.patch.
  * Add Change_getting_major_minor_of_blkdev.patch.
  * Add drive-full-checker.patch.
  * Add kms_keymaster-allow-specifying-barbican_endpoint.patch.
  * Exclude tests:
    - common.test_memcached.TestMemcached.test_get_conns_hostname6
    - common.test_memcached.TestMemcached.test_get_conns_v6
    - common.test_memcached.TestMemcached.test_get_conns_v6_default

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 10:03:31 +0100

swift (2.28.0-6) unstable; urgency=medium

  * Add plugins=transformation_chunked in the default swift-proxy uwsgi config.
  * Remove add-header = Connection: close.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Jan 2022 14:35:09 +0100

swift (2.28.0-5) unstable; urgency=medium

  * Add s3api_fix_the_copy_of_non-ASCII_objects.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Jan 2022 11:09:37 +0100

swift (2.28.0-4) unstable; urgency=medium

  * Set threads = 1 for swift-proxy's uwsgi config.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Jan 2022 14:11:04 +0100

swift (2.28.0-3) unstable; urgency=medium

  * Switch account+container-server on a single uwsgi tread, to avoid locks
    with "greenlet.error: cannot switch to a different thread" in the logs.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Dec 2021 15:34:45 +0100

swift (2.28.0-2) unstable; urgency=medium

  * Add Add_tempurl_path_prefix_configuration_option.patch.
  * Exclude test.unit.common.middleware.test_cname_lookup.TestCNAMELookup.
  * Add import-Iterable-from-collections.abc.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Nov 2021 15:10:02 +0100

swift (2.28.0-1) unstable; urgency=medium

  * Fixup swift-proxy-server-uwsgi.ini for tempest validation.
  * New upstream release.
  * Refreshed: syslog_log_name.patch.
  * Removed patches applied upstream:
    - Only_test_with_and-delimited_query_strings.patch
    - Don_t_require_swift_be_installed_to_have_passing_manager_tests.patch

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Oct 2021 14:42:29 +0200
