=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,7 @@
 	--exclude-test=test.unit.common.test_memcached.TestMemcached.test_get_conns_hostname6 \
 	--exclude-test=test.unit.common.test_memcached.TestMemcached.test_get_conns_v6 \
 	--exclude-test=test.unit.common.test_memcached.TestMemcached.test_get_conns_v6_default \
-	--exclude-test=test.unit.common.middleware.test_tempurl.TestTempURL.test_obj_odd_chars \
-	--exclude-test=test.unit.common.test_swob.TestRequest.test_401_www_authenticate_is_quoted \
-	--exclude-test=test.unit.common.test_swob.TestRequest.test_split_path
+	--exclude-test=test.unit.obj.test_diskfile.TestECDiskFileManager.test_cleanup_ondisk_files_commit_window
 	# --processes=-1
 
 %:
