## swift 2.28.0+git2021090911.5d52afbe4

=== debian/changelog ===
swift (2.28.0+git2021090911.5d52afbe4-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 11:48:51 -0400

swift (2.27.0+git2021072212.4fc567cb2-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Jul 2021 12:35:32 -0400

swift (2.27.0+git2021062816.8e1209d2b-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-online-test.patch: Rebased.
  * d/p/000*-fix-py39-ut-failures.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Jun 2021 16:22:50 -0400

swift (2.27.0-0ubuntu2) hirsute; urgency=medium

  * d/p/000*-fix-py39-ut-failures.patch: Cherry-picked from upstream
    to fix py39 unit test failures.
  * d/p/skip-failing-py39-tests.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Mar 2021 08:02:43 -0400

swift (2.27.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.
  * d/p/skip-failing-py39-tests.patch: Skip tests that fail for py39 on
    upstream and distro.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Mar 2021 12:24:58 -0400

swift (2.26.0+git2021012914.833d7f1d1-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/rules: Add PATH with build binary path to test execution, allowing
    unit tests to access swift binaries.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 29 Jan 2021 14:22:33 -0500

swift (2.26.0+git2020121115.36107b4a6-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/p/0001-Get-unit-tests-passing-on-py39.patch: Remove as the fix
    landed upstream.
  * d/p/fix-deployment-guide-header.patch: Remove as patch is no longer needed.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Dec 2020 15:35:56 +0000

swift (2.26.0-0ubuntu2) hirsute; urgency=medium

  * d/patches/0001-Get-unit-tests-passing-on-py39.patch: Backport Python 3.9
    fix from upstream.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 30 Nov 2020 13:23:36 +1300

swift (2.26.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 13:28:49 -0400

swift (2.25.1~git2020091517.f8a9a6e11-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).

  [ Corey Bryant ]
  * New upstream snapshot for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Sep 2020 17:14:38 -0400

swift (2.25.1~git2020073017.d6399b32e-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control, d/copyright: Update upstream URL.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Jul 2020 17:28:57 -0400

swift (2.25.1~git2020070613.2e001431f-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-ipaddress-requirement.patch: Dropped. No longer needed as package
    is Python3-only.
  * d/control, d/compat: Switch to debhelper compat 12.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jul 2020 13:04:33 -0400

swift (2.25.0-0ubuntu3) groovy; urgency=medium

  * d/t/swift-daemons: Update to give systemd units time to restart.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 25 Jun 2020 11:30:03 +0000

swift (2.25.0-0ubuntu2) groovy; urgency=medium

  [ Chris MacNaughton ]
  * Update to use Systemd unit files (LP: #1827340, LP: #1800676)
    * d/*.init.in: Import init script (systemd) generation from Debian.
    * d/*.upstart: Removed.
    * d/*.init: Removed
    * d/*.generator: Import from Debian.
    * d/*.install: Added reference to generator files
    * d/gen-init: Import from Debian. Remove WorkingDirectory.

  [ James Page ]
  * d/control: Add sphinxdoc:Depends to swift-doc.
  * d/*: wrap-and-sort -bast.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 24 Jun 2020 09:59:02 +0100

swift (2.25.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 14:47:36 -0400
