## swift 2.28.1

=== debian/changelog ===
swift (2.28.1-0ubuntu1~cloud0) focal-xena; urgency=medium

  * d/gbp.conf: Create stable/xena branch.
  * New stable point release for OpenStack Xena (LP: #2006534).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Feb 2023 15:11:17 -0500

swift (2.28.0+git2021090911.5d52afbe4-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 09 Sep 2021 16:42:46 +0000
